Skip to main content
POST
/
api
/
search
/
artifact-relationships
Retrieve grouped relationships for a single artifact by profile (Auth policies: ApiKeyOrJwt)
curl --request POST \
  --url https://app.codealive.ai/api/search/artifact-relationships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "<string>",
  "maxCountPerType": 123
}
'
{
  "sourceIdentifier": "<string>",
  "found": true,
  "relationships": [
    {
      "totalCount": 123,
      "returnedCount": 123,
      "truncated": true,
      "items": [
        {
          "identifier": "<string>",
          "filePath": "<string>",
          "startLine": 123,
          "shortSummary": "<string>"
        }
      ]
    }
  ],
  "availableRelationshipCounts": {
    "outgoingCalls": 123,
    "incomingCalls": 123,
    "ancestors": 123,
    "descendants": 123,
    "references": 123
  }
}

Authorizations

Authorization
string
header
required

API Key authentication using Bearer token. Example: "Authorization: Bearer {apiKey}"

Headers

CodeAlive-Version
string

Body

identifier
string | null
profile
enum<string>
Available options:
CallsOnly,
InheritanceOnly,
AllRelevant,
ReferencesOnly
maxCountPerType
integer<int32>

Response

OK

sourceIdentifier
string | null
required
profile
enum<string>
required
Available options:
CallsOnly,
InheritanceOnly,
AllRelevant,
ReferencesOnly
found
boolean
required
relationships
object[] | null
required
availableRelationshipCounts
object